athens/standard

There is no license information available for the latest version (1.4.1) of this package.

PHP code standard for the Athens Framework.

1.4.1 2016-02-23 16:15 UTC

This package is not auto-updated.

Last update: 2021-10-16 02:53:51 UTC


README

Latest Stable Version

Standard

This ruleset.xml contains the Athens Framework code standard, for use with PHP CodeSniffer. Projects which use the Athens Framework are welcome to use this same code standard.

Use

To download the standard, include athens/standard if your composer.json dev requirements:

"require-dev": {
    ...
    "athens/standard": "1.*",
    ...
  }

Once you have updated your composer requirements, you'll be able to issue the following command from your project root:

./vendor/bin/phpcs --standard=./vendor/athens/standard/ruleset.xml .

See the PHP CodeSniffer docs for more information, including excluding directories from analysis.

Requirements

  • PHP Codesniffer 2.x